## javax.jbi.messaging
Class MessageExchange.Role

    java.lang.Object
      javax.jbi.messaging.MessageExchange.Role

Enclosing interface:
  MessageExchange

    public static final class MessageExchange.Role

extends java.lang.Object

Typesafe enum containing the roles a component can play in a service.

Field Summary
`static MessageExchange.Role` `CONSUMER` Service consumer.
`static MessageExchange.Role` `PROVIDER` Service provider.

Constructor Summary
`private` `MessageExchange.Role()` Prevent direct instantiation.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROVIDER

    public static final MessageExchange.Role PROVIDER

  Service provider.

### CONSUMER

    public static final MessageExchange.Role CONSUMER

  Service consumer.

Constructor Detail

### MessageExchange.Role

    private MessageExchange.Role()

  Prevent direct instantiation.

${build-info}

${copyright}